<app-loading *ngIf="isLoadingPage"></app-loading>

<nz-card class="border-radius-card">
    <div nz-row [nzGutter]="[30, 10]" style="align-items: flex-end;">
        <div nz-col nzSm="24" nzXs="24" nzLg="6">
            <mb-select [mbDataSelects]="listProject" mbKeyLabel="prjName" mbKeyValue="prjId"
                mbLabelText="{{'modelOrganization.projectImplement.projectNm' | translate}}"
                mbPlaceholder="{{'modelOrganization.projectImplement.placeHoder.chooseOrType' | translate}}"
                [mbOptionHeightPx]="55" [(ngModel)]="searchObj.prjId"></mb-select>
        </div>
        <div nz-col nzSm="24" nzXs="24" nzLg="6">
            <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='CUSTOM' (click)="search()"
                mbButtonText="{{'common.button.search' | translate}}"></mb-button>
            <button (click)="downloadExcel()" nz-button style="margin-left: 15px; min-height: 40px;">
                <img src="../../../../../assets/images/icon/excel.svg" alt="" />
            </button>
        </div>
    </div>
</nz-card>


<nz-table class="custom-style-table" [nzPageSize]="pagination.totalElements" [nzShowPagination]="false" #basicTable
    [nzData]="listProjectInfo" [nzScroll]="listProjectInfo?.length > 0 ? { x: 'SCROLL_CONFIG' } : {}"
    [nzShowPagination]="false" nzTableLayout="fixed" nzSize="small">
    <thead>
        <tr>
            <th scope="col" nzWidth="80px">STT</th>
            <th scope="col">{{'modelOrganization.projectImplement.projectNm' | translate}}</th>
            <th scope="col">{{'modelOrganization.projectImplement.effecDate' | translate}}</th>
            <th scope="col">{{'modelOrganization.projectImplement.expireDate' | translate}}</th>
            <th scope="col">{{'modelOrganization.projectImplement.projectPm' | translate}}</th>
            <th scope="col">{{'modelOrganization.projectImplement.quantityStaff' | translate}}</th>
            <th scope="col" nzRight nzWidth="100px"></th>
        </tr>

    </thead>
    <tbody>
        <tr *ngFor="let data of listProjectInfo, let i = index;trackBy:trackByFn" (dblclick)="viewProject(data)">
            <td>{{(pagination.currentPage * pagination.size) + (i+1)}}</td>
            <td class="mg-table__col-text-ellipsis">
                <span nz-tooltip [nzTooltipTitle]="data.prjName">{{data.prjName?data.prjName:"-"}}</span>
            </td>
            <td *ngIf="data.fromDate">{{ data.fromDate | date: 'dd/MM/yyyy'}}</td>
            <td *ngIf="!data.fromDate">-</td>
            <td *ngIf="data.toDate">{{ data.toDate | date: 'dd/MM/yyyy'}}</td>
            <td *ngIf="!data.toDate">-</td>
            <td>{{data.isMaster === "Y"? data.fullName :"-"}}</td>
            <td>{{data.countEmp?data.countEmp:"-"}}</td>
            <td nzRight>
                <button nz-button nzType="primary" class="btn-staff-assign" nz-dropdown [nzDropdownMenu]="menu"
                    (click)="assignStaff(data)" nzPlacement="bottomCenter">
                    <img src="../../../../../assets/images/icon/assign-staff.svg" alt="" />
                </button>
                <nz-dropdown-menu #menu="nzDropdownMenu">
                    <div class="assgin-staff">
                        <span>{{ 'modelOrganization.projectImplement.assignStaff' | translate}}</span>
                    </div>
                </nz-dropdown-menu>
            </td>
        </tr>
    </tbody>
</nz-table>

<div class="pagination" *ngIf="listProjectInfo.length > 0">
    <div>
        <img src="assets/images/icon/idea.svg" alt="" />
        <span>
            {{'common.paging.rangePage' | translate:{result:pagination.totalElements} }}
            {{ pagination.size * pagination.currentPage + 1 }} {{'common.paging.to' | translate}}
            {{ pagination.size * pagination.currentPage + pagination.numberOfElements}}
        </span>
    </div>
    <nz-pagination class="pagination__icon" [nzPageIndex]="pagination.currentPage + 1"
        (nzPageIndexChange)="changePage($event)" [nzTotal]="pagination.totalElements" [nzPageSize]="pagination.size">
    </nz-pagination>
</div>
